## Check order-cancellation eligibility

### cURL

```
curl --request GET \
  --url https://prod01.oms.fabric.inc/api/v2/order/cancel \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'
```

### Python

```
import requests

url = "https://prod01.oms.fabric.inc/api/v2/order/cancel"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (fetch)

```
const options = {
  method: 'GET',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://prod01.oms.fabric.inc/api/v2/order/cancel', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Responses

- **200**
    ```
    {
      "orderId": "62f3982438bcab1951be0a19",
      "eligibleReasonCodes": [
        "wrong item"
      ],
      "policyType": "Exchange or return or cancellation",
      "period": "30D00H00M",
      "items": [
        {
          "lineItemId": "62f3dfc438bcab1951be0a19",
          "eligibleQuantity": 10,
          "eligible": true
        }
      ],
      "fees": [
        {
          "platinumFee": 33.9,
          "currency": "USD"
        }
      ]
    }
    ```
- **400**
    ```
    {
      "message": "Bad request"
    }
    ```
- **404**
    ```
    {
      "message": "Not found"
    }
    ```
- **500**
    ```
    {
      "message": "Internal server error"
    }
    ```

### Authorizations

- **Authorization**: string, header, required

Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Headers

- **x-site-context**: string, required

The `x-site-context` header is a JSON object that contains information about the source you wish to pull from. The mandatory `account` is the 24 character identifier found in Copilot. The `channel` (Sales channel ID), `stage` (environment name), and `date` attributes can be used to further narrow the scope of your data source.

Example: `"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"`

### Query Parameters

- **orderId**: string, required
  
  Order ID

Example: `"62f3982438bcab1951be0a19"`

- **lineItemIds**: string[]
  
  Array of line item IDs to check if the line items are eligible for cancellation.

### Response

- **200:** application/json
  
  Order eligibility object

- **orderId**: string
    
    Order ID

Example: `"62f3982438bcab1951be0a19"`

- **eligibleReasonCodes**: string[]

Reason codes allowed for returns.

- **policyType**: string

Policy type

Example: `"Exchange or return or cancellation"`

- **period**: string

Provides the configured duration for returns.

Example: `"30D00H00M"`

- **items**: object[]

List of items with their eligibility to return.

- **fees**: object[]

fees.
